---
title: CSSMatrixComponent()
slug: Web/API/CSSMatrixComponent/CSSMatrixComponent
tags:
  - API
  - CSS Typed Object Model API
  - CSSMatrixComponent
  - CSSTransformComponent
  - CSSTransformValue
  - Constructor
  - Experimental
  - Houdini
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p class="summary">The <strong><code>CSSMatrixComponent()</code></strong> constructor creates a new {{domxref("CSSMatrixComponent")}} object representing the <a href="/en-US/docs/Web/CSS/transform-function/matrix()">matrix()</a> and <a href="/en-US/docs/Web/CSS/transform-function/matrix()">matrix3d()</a> values of the individual {{CSSXRef('transform')}} property in CSS.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSMatrixComponent</var> = new CSSMatrixComponent(<em>matrix[,options]</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>{{domxref('CSSMatrixComponent.matrix','matrix')}}</dt>
 <dd>A 2d or 3d matrix. </dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssmatrixcomponent-cssmatrixcomponent','CSSMatrixComponent')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMatrixComponent.CSSMatrixComponent")}}</p>
